Loading...
Searching...
No Matches
brent.c File Reference
`#include <stdlib.h>`
`#include <stdio.h>`
`#include <math.h>`
`#include <float.h>`
Include dependency graph for brent.c:

Go to the source code of this file.

## Macros

#define | GSL_SQRT_DBL_EPSILON 1.e-4
#define | GSL_DBL_EPSILON 1.e-8

## Functions

double | brent_iterate (double(*f)(double), double x_lower, double x_upper, int maxiter)

## Macro Definition Documentation

## GSL_DBL_EPSILON

#define GSL_DBL_EPSILON 1.e-8

Definition at line 31 of file brent.c.

Referenced by brent_iterate().

## GSL_SQRT_DBL_EPSILON

#define GSL_SQRT_DBL_EPSILON 1.e-4

Definition at line 30 of file brent.c.

## Function Documentation

## brent_iterate()

double brent_iterate | ( | double(* | f )(double),
|  | double | x_lower,
|  | double | x_upper,
|  | int | maxiter )

Definition at line 173 of file brent.c.

References GSL_DBL_EPSILON.